<div class="front_page_section front_page_section_about<?php
	$heart_scheme = heart_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $heart_scheme ) && ! heart_is_inherit( $heart_scheme ) ) {
		echo ' scheme_' . esc_attr( $heart_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( heart_get_theme_option( 'front_page_about_paddings' ) );
	if ( heart_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$heart_css      = '';
		$heart_bg_image = heart_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $heart_bg_image ) ) {
			$heart_css .= 'background-image: url(' . esc_url( heart_get_attachment_url( $heart_bg_image ) ) . ');';
		}
		if ( ! empty( $heart_css ) ) {
			echo ' style="' . esc_attr( $heart_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$heart_anchor_icon = heart_get_theme_option( 'front_page_about_anchor_icon' );
	$heart_anchor_text = heart_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $heart_anchor_icon ) || ! empty( $heart_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $heart_anchor_icon ) ? ' icon="' . esc_attr( $heart_anchor_icon ) . '"' : '' )
									. ( ! empty( $heart_anchor_text ) ? ' title="' . esc_attr( $heart_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( heart_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' heart-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$heart_css           = '';
			$heart_bg_mask       = heart_get_theme_option( 'front_page_about_bg_mask' );
			$heart_bg_color_type = heart_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $heart_bg_color_type ) {
				$heart_bg_color = heart_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $heart_bg_color_type ) {
				$heart_bg_color = heart_get_scheme_color( 'bg_color', $heart_scheme );
			} else {
				$heart_bg_color = '';
			}
			if ( ! empty( $heart_bg_color ) && $heart_bg_mask > 0 ) {
				$heart_css .= 'background-color: ' . esc_attr(
					1 == $heart_bg_mask ? $heart_bg_color : heart_hex2rgba( $heart_bg_color, $heart_bg_mask )
				) . ';';
			}
			if ( ! empty( $heart_css ) ) {
				echo ' style="' . esc_attr( $heart_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$heart_caption = heart_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $heart_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $heart_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $heart_caption, 'heart_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$heart_description = heart_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $heart_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $heart_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $heart_description ), 'heart_kses_content' ); ?></div>
				<?php
			}

			// Content
			$heart_content = heart_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $heart_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $heart_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$heart_page_content_mask = '%%CONTENT%%';
					if ( strpos( $heart_content, $heart_page_content_mask ) !== false ) {
						$heart_content = preg_replace(
							'/(\<p\>\s*)?' . $heart_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$heart_content
						);
					}
					heart_show_layout( $heart_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
