<div class="front_page_section front_page_section_contacts<?php
	$heart_scheme = heart_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $heart_scheme ) && ! heart_is_inherit( $heart_scheme ) ) {
		echo ' scheme_' . esc_attr( $heart_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( heart_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( heart_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$heart_css      = '';
		$heart_bg_image = heart_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $heart_bg_image ) ) {
			$heart_css .= 'background-image: url(' . esc_url( heart_get_attachment_url( $heart_bg_image ) ) . ');';
		}
		if ( ! empty( $heart_css ) ) {
			echo ' style="' . esc_attr( $heart_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$heart_anchor_icon = heart_get_theme_option( 'front_page_contacts_anchor_icon' );
	$heart_anchor_text = heart_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $heart_anchor_icon ) || ! empty( $heart_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $heart_anchor_icon ) ? ' icon="' . esc_attr( $heart_anchor_icon ) . '"' : '' )
									. ( ! empty( $heart_anchor_text ) ? ' title="' . esc_attr( $heart_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( heart_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' heart-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$heart_css      = '';
			$heart_bg_mask  = heart_get_theme_option( 'front_page_contacts_bg_mask' );
			$heart_bg_color_type = heart_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $heart_bg_color_type ) {
				$heart_bg_color = heart_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $heart_bg_color_type ) {
				$heart_bg_color = heart_get_scheme_color( 'bg_color', $heart_scheme );
			} else {
				$heart_bg_color = '';
			}
			if ( ! empty( $heart_bg_color ) && $heart_bg_mask > 0 ) {
				$heart_css .= 'background-color: ' . esc_attr(
					1 == $heart_bg_mask ? $heart_bg_color : heart_hex2rgba( $heart_bg_color, $heart_bg_mask )
				) . ';';
			}
			if ( ! empty( $heart_css ) ) {
				echo ' style="' . esc_attr( $heart_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$heart_caption     = heart_get_theme_option( 'front_page_contacts_caption' );
			$heart_description = heart_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $heart_caption ) || ! empty( $heart_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $heart_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $heart_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $heart_caption, 'heart_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $heart_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $heart_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $heart_description ), 'heart_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$heart_content = heart_get_theme_option( 'front_page_contacts_content' );
			$heart_layout  = heart_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $heart_layout && ( ! empty( $heart_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $heart_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $heart_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $heart_content, 'heart_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $heart_layout && ( ! empty( $heart_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$heart_sc = heart_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $heart_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $heart_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					heart_show_layout( do_shortcode( $heart_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $heart_layout && ( ! empty( $heart_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
