<?php
/**
 * The template to display default site footer
 *
 * @package HEART
 * @since HEART 1.0.10
 */

$heart_footer_id = heart_get_custom_footer_id();
$heart_footer_meta = get_post_meta( $heart_footer_id, 'trx_addons_options', true );
if ( ! empty( $heart_footer_meta['margin'] ) ) {
	heart_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( heart_prepare_css_value( $heart_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $heart_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $heart_footer_id ) ) ); ?>
						<?php
						$heart_footer_scheme = heart_get_theme_option( 'footer_scheme' );
						if ( ! empty( $heart_footer_scheme ) && ! heart_is_inherit( $heart_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $heart_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'heart_action_show_layout', $heart_footer_id );
	?>
</footer><!-- /.footer_wrap -->
