<?php
/**
 * The template to display the background video in the header
 *
 * @package HEART
 * @since HEART 1.0.14
 */
$heart_header_video = heart_get_header_video();
$heart_embed_video  = '';
if ( ! empty( $heart_header_video ) && ! heart_is_from_uploads( $heart_header_video ) ) {
	if ( heart_is_youtube_url( $heart_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $heart_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php heart_show_layout( heart_get_embed_video( $heart_header_video ) ); ?></div>
		<?php
	}
}
