<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package HEART
 * @since HEART 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$heart_copyright_scheme = heart_get_theme_option( 'copyright_scheme' );
if ( ! empty( $heart_copyright_scheme ) && ! heart_is_inherit( $heart_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $heart_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$heart_copyright = heart_get_theme_option( 'copyright' );
			if ( ! empty( $heart_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$heart_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $heart_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$heart_copyright = heart_prepare_macros( $heart_copyright );
				// Display copyright
				echo wp_kses( nl2br( $heart_copyright ), 'heart_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
