<?php
/**
 * The template to display default site footer
 *
 * @package HEART
 * @since HEART 1.0.10
 */

?>
<footer class="footer_wrap footer_default
<?php
$heart_footer_scheme = heart_get_theme_option( 'footer_scheme' );
if ( ! empty( $heart_footer_scheme ) && ! heart_is_inherit( $heart_footer_scheme  ) ) {
	echo ' scheme_' . esc_attr( $heart_footer_scheme );
}
?>
				">
	<?php

	// Footer widgets area
	get_template_part( apply_filters( 'heart_filter_get_template_part', 'templates/footer-widgets' ) );

	// Logo
	get_template_part( apply_filters( 'heart_filter_get_template_part', 'templates/footer-logo' ) );

	// Socials
	get_template_part( apply_filters( 'heart_filter_get_template_part', 'templates/footer-socials' ) );

	// Copyright area
	get_template_part( apply_filters( 'heart_filter_get_template_part', 'templates/footer-copyright' ) );

	?>
</footer><!-- /.footer_wrap -->
